﻿<?xml version="1.0" encoding="UTF-8"?>
<popup:PopupPage xmlns="http://xamarin.com/schemas/2014/forms" 
             xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
             x:Class="PrescriptionApp.View.Popup.sms"    xmlns:Control="clr-namespace:PrescriptionApp.CustomeRender"
    xmlns:animations="clr-namespace:Rg.Plugins.Popup.Animations;assembly=Rg.Plugins.Popup"
    xmlns:converter="clr-namespace:PrescriptionApp.Helper.Converters"
    xmlns:yummy="clr-namespace:Xamarin.Forms.PancakeView;assembly=Xamarin.Forms.PancakeView"
    xmlns:ffImageLoading="clr-namespace:FFImageLoading.Forms;assembly=FFImageLoading.Forms"
    xmlns:popup="clr-namespace:Rg.Plugins.Popup.Pages;assembly=Rg.Plugins.Popup"
    xmlns:resources="clr-namespace:PrescriptionApp.Helper.Resources">
    <popup:PopupPage.Animation>

        <animations:ScaleAnimation
            EasingIn="SinOut"
            EasingOut="SinIn"
            HasBackgroundAnimation="False" />

    </popup:PopupPage.Animation>
    <popup:PopupPage.Content>

        <Frame
            Margin="20,0"
            Padding="20,30"
            BackgroundColor="{x:Static resources:Colors.WhiteSmoke}"
            HorizontalOptions="Center"
            VerticalOptions="Center">
            <StackLayout  WidthRequest="320" Spacing="15">
                <Image Source="message" VerticalOptions="Center" HorizontalOptions="Center" HeightRequest="90" WidthRequest="90"/>
                <yummy:PancakeView
                    BackgroundColor="{x:Static resources:Colors.purpal501}" 
                    Padding="0"
                    CornerRadius="10"
                    HeightRequest="45"
                    WidthRequest="240" HorizontalOptions="Center">

                    <yummy:PancakeView.Border>
                        <yummy:Border Thickness="1" Color="Black" />
                    </yummy:PancakeView.Border>
                    <Grid
                        Margin="0"
                        Padding="0"
                        ColumnDefinitions="auto,*">
                        <Frame
                            Margin="-1"
                            Padding="10,15"
                            BackgroundColor="{x:Static resources:Colors.purpal50}"
                            CornerRadius="0"
                            HasShadow="False"
                            HorizontalOptions="End">
                            <Image
                                HeightRequest="28"
                                HorizontalOptions="Center"
                                Source="sms"
                                VerticalOptions="Center"
                                WidthRequest="28" />
                        </Frame>
                        <Label
                            x:Name="EntryNumber"
                             Text="+91 12345-67891"
                            Grid.Column="1"
                            HorizontalOptions="Start"
                            Margin="10,0,0,0"
                            FontFamily="Poppins-Regular"
                            FontSize="15"
                            TextColor="Black" />

                    </Grid>
                    <yummy:PancakeView.GestureRecognizers>
                        <TapGestureRecognizer Tapped="TapGestureRecognizer_Tapped"/>
                    </yummy:PancakeView.GestureRecognizers>
                </yummy:PancakeView>
                <yummy:PancakeView
                    BackgroundColor="{x:Static resources:Colors.purpal501}" 
                    Padding="0"
                    CornerRadius="10"
                    HeightRequest="45"
                    WidthRequest="240" HorizontalOptions="Center">

                    <yummy:PancakeView.Border>
                        <yummy:Border Thickness="1" Color="Black" />
                    </yummy:PancakeView.Border>
                    <Grid
                        Margin="0"
                        Padding="0"
                        ColumnDefinitions="auto,*">
                        <Frame
                            Margin="-1"
                            Padding="10,15"
                            BackgroundColor="{x:Static resources:Colors.purpal50}"
                            CornerRadius="0"
                            HasShadow="False"
                            HorizontalOptions="End">
                            <Image
                                HeightRequest="28"
                                HorizontalOptions="Center"
                                Source="sms"
                                VerticalOptions="Center"
                                WidthRequest="28" />
                        </Frame>
                        <Label
                            x:Name="EntryNumber1"
                             Text="+91 32165-98765"
                            Grid.Column="1"
                            HorizontalOptions="Start"
                            Margin="10,0,0,0"
                            FontFamily="Poppins-Regular"
                            FontSize="15"
                            TextColor="Black" />
                    </Grid>
                    <yummy:PancakeView.GestureRecognizers>
                        <TapGestureRecognizer Tapped="TapGestureRecognizer_Tapped_1"/>
                    </yummy:PancakeView.GestureRecognizers>
                </yummy:PancakeView>

                <Label
                            Text="Available 12/7 for your service"
                            Grid.Column="1"
                            HorizontalOptions="Center"
                            FontSize="15"
                            TextColor="{x:Static resources:Colors.purpal50}" />
            </StackLayout>
        </Frame>
    </popup:PopupPage.Content>
</popup:PopupPage>